<!--
    系统清单
-->
<template>
  <div id="deviceList">
    <saga-title :mess="mess"></saga-title>
    <div class="table-main">
      <div class="search-header">
        <floor-cascader :type="'no'" @change="changeFloor"></floor-cascader>
        <my-cascader ref="cascader" @change="changeDevice"></my-cascader>
      </div>
      <hanson-table @close="close" ref="tableMain"></hanson-table>
    </div>
    <!-- <table-transfers></table-transfers> -->
  </div>
</template>
<script>
import sagaTitle from "@/components/list/title";
import floorCascader from "@/components/lib/floorCascader";
import myCascader from "@/components/lib/cascaders/system";
import hansonTable from "@/components/handsontables/system";
import tableTransfers from "@/components/transfers/tableTransfers";

import { getAllbusiness, getFamilyList, getSpaceName } from "@/api/request"

export default {
  components: {
    sagaTitle,
    floorCascader,
    myCascader,
    hansonTable,
    tableTransfers
  },
  data() {
    return {
      mess: {
        perjectName: "",
        name: [
          {
            key: "系统",
            num: 0
          }
        ]
      },
      param: {
        buildId: "",
        floorId: "",
        deviceId: "",
        ProjId: this.$route.query.projId,
        secret: this.$route.query.secret
      }
    };
  },
  created() {
    this.getProjName()
  },
  mounted() { },
  methods: {
    getProjName() {
      let param = {
        list: [{ id: this.param.ProjId }],
        perjectId: this.param.ProjId,
        secret: this.param.secret,
      }
      getSpaceName(param).then(res => {
        if (res.data.Result == "success") {
          this.mess.perjectName = res.data.Content[0].infos.ProjLocalName
          this.getAllbusiness()
        } else {
          this.$message.error("请求失败：" + res.data.ResultMsg)
        }
      }).catch(_ => {
        this.$message.error("请求失败")
      })
    },
    getFamilyList() {
      let param = {
        ProjId: this.param.ProjId,
        secret: this.param.secret,
        data: { type: "Sy" }
      }
      getFamilyList(param, res => {
        this.$refs.cascader.pushData(res.Content)
      })
    },
    close(val) {
      this.getProjName()
      console.log(val)
      if (!!val && !!val.code) {
        this.$refs.cascader.changeVal([val.code])
      }
    },

    //获取header的list
    getAllbusiness() {
      let param = {
        ProjId: this.param.ProjId,
        secret: this.param.secret,
        data: {
          criteria: {
            type: ["Sy"]
          },
          returnInfos: ["SystemID"]
        }
      }
      getAllbusiness(param).then(res => {
        if (res.data.Result == "success") {
          this.mess.name[0].num = res.data.Count
          this.getFamilyList()
        } else {
          this.$message.error("请求失败" + res.data.resultMsg)
        }
      }).catch(res => { this.$message.error("请求失败") })
    },

    //修改楼层
    changeFloor(value) {
      console.log(this.param);
      if (value[0]) {
        this.param.buildId = value[0]
      }
      if (value[1]) {
        this.param.floorId = value[1]
      } else {
        this.param.floorId = null
      }
      if (!!this.param.deviceId) {
        this.$refs.tableMain.getHeaderData(this.param);
      } else {
        return;
      }
    },

    //修改设备族
    changeDevice(value) {
      console.log(value)
      this.param.deviceId = value.code
      if (!!value) {
        this.$refs.tableMain.getHeaderData(this.param);
      } else {
        return;
      }

    }
  }
};
</script>
<style lang="less" scoped>
#deviceList {
  overflow: hidden;
  height: 100%;
  background-color: #f6f6f6;
  .table-main {
    position: absolute;
    top: 140px;
    bottom: 10px;
    left: 10px;
    right: 10px;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
  }
  .search-header {
    overflow: hidden;
    padding-bottom: 10px;
    border-bottom: 1px solid #bcbcbc;
  }
}
</style>
